# Settings

## Reference

- v4 API:
  - `gitlab.v4.objects.ApplicationSettings`
  - `gitlab.v4.objects.ApplicationSettingsManager`
  - `gitlab.Gitlab.settings`
- v3 API:
  - `gitlab.v3.objects.ApplicationSettings`
  - `gitlab.v3.objects.ApplicationSettingsManager`
  - `gitlab.Gitlab.settings`
- GitLab API: https://docs.gitlab.com/ce/api/settings.html

## Examples

Get the settings:

    settings = gl.settings.get()

Update the settings:

    s.signin_enabled = False
    s.save()